{
  "type": "minecraft:chest",
  "pools": [
    {
      "rolls": {
        "min": 1,
        "max": 3,
        "type": "minecraft:uniform"
      },
      "entries": [
        {
          "type": "minecraft:loot_table",
          "weight": 14,
          "name": "minecraft:shared_loot_table2"
        },
        {
          "type": "minecraft:loot_table",
          "weight": 160,
          "quality": -1,
          "name": "minecraft:shared_loot_empty"
        },
        {
          "type": "minecraft:loot_table",
          "weight": 20,
          "name": "minecraft:shared_loot_table3"
        },
        {
          "type": "minecraft:loot_table",
          "weight": 6,
          "quality": 1,
          "name": "minecraft:shared_loot_table"
        }
      ]
    },
    {
      "rolls": {
        "min": 1,
        "max": 4,
        "type": "minecraft:uniform"
      },
      "entries": [
        {
          "type": "minecraft:item",
          "weight": 10,
          "quality": -2,
          "functions": [
            {
              "function": "minecraft:set_count",
              "count": {
                "min": 1,
                "max": 5,
                "type": "minecraft:uniform"
              }
            }
          ],
          "name": "minecraft:iron_ingot"
        },
        {
          "type": "minecraft:item",
          "weight": 2,
          "quality": 2,
          "functions": [
            {
              "function": "minecraft:set_count",
              "count": {
                "min": 1,
                "max": 3,
                "type": "minecraft:uniform"
              }
            }
          ],
          "name": "minecraft:ender_pearl"
        },
        {
          "type": "minecraft:item",
          "weight": 5,
          "quality": 1,
          "functions": [
            {
              "function": "minecraft:set_count",
              "count": {
                "min": 1,
                "max": 3,
                "type": "minecraft:uniform"
              }
            }
          ],
          "name": "minecraft:gold_ingot"
        },
        {
          "type": "minecraft:item",
          "weight": 5,
          "quality": -3,
          "functions": [
            {
              "function": "minecraft:set_count",
              "count": {
                "min": 4,
                "max": 9,
                "type": "minecraft:uniform"
              }
            }
          ],
          "name": "minecraft:redstone"
        },
        {
          "type": "minecraft:item",
          "weight": 10,
          "functions": [
            {
              "function": "minecraft:set_count",
              "count": {
                "min": 3,
                "max": 8,
                "type": "minecraft:uniform"
              }
            }
          ],
          "name": "minecraft:coal"
        },
        {
          "type": "item",
          "name": "minecraft:black_banner",
          "weight": 1,
          "functions": [
            {
              "function": "set_nbt",
              "tag": "{BlockEntityTag:{Base:0,Patterns:[{Pattern:mc,Color:9},{Pattern:flo,Color:15},{Pattern:tl,Color:10},{Pattern:tr,Color:10},{Pattern:bl,Color:10},{Pattern:cbo,Color:10},{Pattern:br,Color:10},{Pattern:bo,Color:15}]},Enchantments:[{id:\"minecraft:fire_protection\",lvl:1s}],HideFlags:1,display:{Name:\"{\\\"text\\\":\\\"Eye of the Void\\\"}\",Lore:[\"\\\"Gives every non-farm-animal mob a small chance to\\\"\",\"\\\"grant an ender pearl.\\\"\"]}}"
            }
          ]
        },
        {
          "type": "minecraft:item",
          "weight": 1,
          "quality": 10,
          "functions": [
            {
              "function": "minecraft:set_count",
              "count": {
                "min": 1,
                "max": 1,
                "type": "minecraft:uniform"
              }
            }
          ],
          "name": "minecraft:ender_eye"
        },
        {
          "type": "minecraft:item",
          "weight": 15,
          "functions": [
            {
              "function": "minecraft:set_count",
              "count": {
                "min": 1,
                "max": 3,
                "type": "minecraft:uniform"
              }
            }
          ],
          "name": "minecraft:bread"
        },
        {
          "type": "minecraft:item",
          "weight": 15,
          "functions": [
            {
              "function": "minecraft:set_count",
              "count": {
                "min": 1,
                "max": 3,
                "type": "minecraft:uniform"
              }
            }
          ],
          "name": "minecraft:apple"
        },
        {
          "type": "minecraft:item",
          "name": "minecraft:iron_pickaxe"
        },
        {
          "type": "minecraft:item",
          "functions": [
            {
              "function": "minecraft:enchant_with_levels",
              "levels": 30,
              "treasure": true
            }
          ],
          "name": "minecraft:book"
        }
      ]
    }
  ]
}
